# Gimp.Metadata

    const Gimp = imports.gi.Gimp;

    let metadata = new Gimp.Metadata();

Basic functions for handling Gimp.Metadata objects.

## Hierarchy

- GObject.Object
  - Gimp.Metadata

## Constructors

- Gimp.Metadata.new

## Methods

- Gimp.Metadata.prototype.add_xmp_history
- Gimp.Metadata.prototype.duplicate
- Gimp.Metadata.prototype.get_colorspace
- Gimp.Metadata.prototype.get_resolution
- Gimp.Metadata.prototype.save_to_file
- Gimp.Metadata.prototype.serialize
- Gimp.Metadata.prototype.set_bits_per_sample
- Gimp.Metadata.prototype.set_colorspace
- Gimp.Metadata.prototype.set_from_exif
- Gimp.Metadata.prototype.set_from_iptc
- Gimp.Metadata.prototype.set_from_xmp
- Gimp.Metadata.prototype.set_pixel_size
- Gimp.Metadata.prototype.set_resolution

## Static Functions

- Gimp.Metadata.deserialize
- Gimp.Metadata.get_guid
- Gimp.Metadata.is_tag_supported
- Gimp.Metadata.load_from_file